Package icyllis.modernui.graphics.text

# Class MeasuredText.ReplacementRun

java.lang.Object
icyllis.modernui.graphics.text.MeasuredText.Run
icyllis.modernui.graphics.text.MeasuredText.ReplacementRun

Enclosing class:
  `MeasuredText`

public static class MeasuredText.ReplacementRun extends MeasuredText.Run

- ## Field Summary

  ### Fields inherited from class icyllis.modernui.graphics.text.MeasuredText.Run

  `mEnd, mStart`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canBreak()`
  `float`
  `getAdvance(char[] text, int pos)`
  `float`
  `getAdvance(char[] text, int start, int end)`
  `void`
  `getExtent(char[] text, int start, int end, FontMetricsInt extent)`
  `int`
  `getLineBreakStyle()`
  `int`
  `getLineBreakWordStyle()`
  `Locale`
  `getLocale()`
  `int`
  `getMemoryUsage()`
  `boolean`
  `isRtl()`
  `void`
  `measure(char[] text, boolean computeLayout)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### measure

    public void measure(@NonNull char[] text, boolean computeLayout)
    Specified by:
      `measure` in class `MeasuredText.Run`

  - ### getExtent

    public void getExtent(@NonNull char[] text, int start, int end, @NonNull FontMetricsInt extent)
    Specified by:
      `getExtent` in class `MeasuredText.Run`

  - ### getAdvance

    public float getAdvance(char[] text, int pos)
    Specified by:
      `getAdvance` in class `MeasuredText.Run`

  - ### getAdvance

    public float getAdvance(char[] text, int start, int end)
    Specified by:
      `getAdvance` in class `MeasuredText.Run`

  - ### isRtl

    public boolean isRtl()
    Specified by:
      `isRtl` in class `MeasuredText.Run`

  - ### canBreak

    public boolean canBreak()
    Specified by:
      `canBreak` in class `MeasuredText.Run`

  - ### getLocale

    @NonNull public Locale getLocale()
    Specified by:
      `getLocale` in class `MeasuredText.Run`

  - ### getLineBreakStyle

    public int getLineBreakStyle()
    Specified by:
      `getLineBreakStyle` in class `MeasuredText.Run`

  - ### getLineBreakWordStyle

    public int getLineBreakWordStyle()
    Specified by:
      `getLineBreakWordStyle` in class `MeasuredText.Run`

  - ### getMemoryUsage

    public int getMemoryUsage()
    Specified by:
      `getMemoryUsage` in class `MeasuredText.Run`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`